use <whole floor - ground floor.scad>;
use <whole floor - middle floor.scad>;
use <whole floor - rooflet.scad>;
use <whole floor - roof.scad>;

//How many floors total?
num_floors = 3;
//How many wall segments per floor?
num_walls = 2;

num = num_walls - 1;

//Ground floor
gf_walls(num);
gf_corners(num);


//Middle floors
if (num_floors-1>0){
for (i = [0:num_floors-2]){
translate([0,26.97+19*i,0]){
mf_walls(num);
mf_corners(num);
}}}


//Rooflet
translate([0,26.97+19*(num_floors-1),0]){
rl_walls(num);
rl_corners(num);
}

//Roof
translate([0,26.97+19*(num_floors-1)+2,0]){
roof_top(num_walls);
}

for (j = [0:num_walls-1]){
translate([0,0,-(8*2+10*2+6.4)*j]){
for (i = [0:num_walls-1]){
translate([(8*2+10*2+6.4)*i,0,-4-(8*2+10*2+6.4)]) cube([8*2+10*2+6.4,26.97+19*(num_floors)-10,8*2+10*2+6.4]);
}}}


